#define  LAMBDA_T 0.33
#define  LAMBDA_N 0.1
#define  LAMBDA_P 0.5
#define  LAMBDA_U 10
#define  BETA 3.0
#define  LOWTEMP 0.0
#define  BOLTZ 1.3805E-23

#define M1_PROB(w) ((1.0/(1.0+BETA))*(((w)-1.0)/(w)))
#define M2_PROB(w) ((BETA/(1.0+BETA))*(((w)-1.0)/(w)))
#define M3_PROB(w) (1.0/(w))

#define MV1 0
#define MV2 1
#define MV3 2

struct pmove {
int type;
int setdex1,setdex2;
int memdex1,memdex2;
};


#if notdef
/* #define MxRand	2147483647.0 */
#define MxRand 32767.0
#define NormRand() (((double) random ()) / MxRand)
/* #define InitRand() (srandom ((int) time ((long *) 0))) */
#define InitRand() (srandom (100)) 
#define Random(min,max) (((((max)-(min)) * (NormRand ())) + (min)) + 0.5)
#endif

