/* Structures andd macros for directed graphs */


struct graph {
int nodes;
int max;
char **adj;
int *toposort;
};

#define GRAPH_PTR_ERROR ((struct graph *) -1)

struct partition {
int numsets;
int numvalid;
int *numinset;
int **set;
double cost;
int *setmap;
struct graph *MG;
};

struct partition *p_init();

struct graph *g_init();
struct graph *g_recalloc();

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

#define g_isadj(g,from,to)  ((g)->adj[(from)][(to)])
#define g_addadj(g,from,to) ((g)->adj[(from)][(to)] = 1)






