/* hack definitions of (s)rand(om) */

#include <stdio.h>

/* RAND_MAX (2**31)-1=2147483646 */
const int MAX_RAND=32767;
const double MAX_RAND_RECIP=3.05185e-05;

static unsigned int next = 1;
int rand( )
{
        next = next * 1103515245 + 12345;
        return ((next/65536) % 32768);
}

void srand (unsigned int Seed)
{
        next = Seed;
}

double NormRand()
{
   double dtmp;
   dtmp = MAX_RAND_RECIP * rand();
/* dtmp = ((double)rand()) / MAX_RAND; */
   return dtmp;
}

void InitRand() { srand (100); }

int Random (int min, int max)
{
    int itmp;
    double dtmp;
    dtmp = NormRand();
    dtmp = (((dtmp * (max-min)) + min) + 0.499999);
    itmp = dtmp;
#ifdef CHECK_EVERYTHING
    if ((itmp<min) || (itmp>max))
      {
        fprintf(stderr,"Got a bad random number (min=%d,max=%d): %d\n",
                min, max, itmp);
        exit(1);
      }
#endif
    return itmp;
}

