#define TOP 0
#define BOTTOM 1
#define BOTH 2

struct subnet { 
  int parent;
  int left,right;
  int length;
  int lpin,rpin;               /* TOP,BOTTOM,BOTH */
};

struct channel
 {
  int width, length, nets;
  int numsnets;
  int *toppins, *botpins;
  struct track *htracks, *vtracks;
  int longchain;
  int maxdensity;
  int minwidth;
  struct subnet snet[300];
 };

#define CHAN_PTR_ERROR ((struct channel *) -1)
extern struct channel *c_makechan();

struct track {
 int numruns;
 int numalloc;
 struct run *runs;
};

#define TRACK_PTR_ERROR ((struct track *) -1)
extern struct track *c_maketracks();

struct run {
 int start, stop;
};

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

#define MAX(x,y)	(((x) > (y)) ? (x) : (y))
#define MIN(x,y)	(((x) < (y)) ? (x) : (y))
#define BIGINT		2147483647
#define BIGFLOAT	1.7E38

extern struct graph *VCG;
extern struct partition *CurP;
extern struct partition *BestP;
extern struct partition *TempP;
extern struct channel *Chan;
